# 32/64 spec
#
%define name 	muse
%define maj	2
%define min	1
%define ext	2
%define version	%{maj}.%{min}.%{ext}
%define release %mkrel 2

Summary:	Muse is a MIDI/Audio sequencer with recording and editing capabilities.
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://sourceforge.net/projects/lmuse/
Source0:	%{name}-%{version}.tar.xz
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	doxygen
BuildRequires:	dssi-devel
BuildRequires:	graphviz
BuildRequires:	jackit-devel
BuildRequires:	ladspa-devel
BuildRequires: 	%{_lib}alsa2-devel
BuildRequires:	%{_lib}cap-devel
BuildRequires:	%{_lib}ext2fs-devel
BuildRequires: 	%{_lib}fluidsynth1-devel
BuildRequires:	%{_lib}graphviz-devel
BuildRequires: 	%{_lib}lash2-devel
BuildRequires:	%{_lib}lo-devel
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}samplerate-devel
BuildRequires:	%{_lib}sndfile-devel
BuildRequires:	%{_lib}uuid-devel
BuildRequires:	openjade
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	texlive
BuildRequires:	texlive-makeindex
#texlive provides dvips and latex
Requires:	jackit
Requires:	ladspa
Requires:	%{_lib}alsa2
Requires:	%{_lib}fluidsynth1
Requires:	%{_lib}jack0
Requires:	%{_lib}lash2
Requires:	%{_lib}lo7
Requires:	qt4-common
Requires:	%{_lib}sndfile1

%description
MusE is a MIDI/Audio sequencer with recording and editing capabilities
written by Werner Schweer.  MusE aims to be a complete multitrack virtual
studio for Linux, it is published under the GNU General Public License.
MusE has among other things support for:
 * Midi sequencing
 * Audio sequencing
 * LADSPA
 * Jack
 * ALSA - based on the Advanced Linux Sound Architecture 

You can use several soundcards to access external midi devices and
record/playback them with MusE. 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%build
export PYTHON_LIBRARY=%{_libdir}/python2.7
export PYTHON_INCLUDE_DIR=%{_includedir}/python2.7
export QTDIR=%{_libdir}/qt4/bin

# copied part of cmake macro
export CFLAGS="${CFLAGS:--O2  -pipe -Wformat -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4}"
export CXXFLAGS="${CXXFLAGS:--O2  -pipe -Wformat -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4}"
export FFLAGS="${FFLAGS:--O2  -pipe -Wformat -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4}"

mkdir -p build
cd build

/usr/bin/cmake .. \
    -DENABLE_PYTHON=0 \
    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
    -DLIB_INSTALL_DIR:PATH=/usr/%{_lib} \
    -DSHARE_INSTALL_PREFIX:PATH=/usr/share \
    -DCMAKE_BUILD_TYPE=release
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

mkdir -p %{buildroot}%{_iconsdir}
mv packaging/%{name}_icon.png %{buildroot}%{_iconsdir}/
mv $RPM_BUILD_ROOT%{_bindir}/%{name}%{maj} $RPM_BUILD_ROOT%{_bindir}/%{name}

# menu support
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=MusE
Comment=MIDI sequencer
Exec=%{_bindir}/%{name}
Icon=%{name}_icon
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Midi;
Encoding=UTF-8
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files -f %{name}
%defattr(-,root,root,0755)
%doc README COPYING NEWS AUTHORS
%{_bindir}/%{name}
%{_bindir}/grepmidi
%{_libdir}/*
%{_datadir}/%{name}-%{maj}.%{min}/*
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}-%{maj}.%{min}/*
%{_iconsdir}/hicolor/64x64/apps/muse_icon.png
%{_iconsdir}/%{name}_icon.png
%{_mandir}/man1/*.bz2
%{_datadir}/mime/packages/muse.xml


%changelog
* Mon Feb 17 2014 bb <bb> 2.1.2-2pclos2014
- rebuild new lo library
- disable python for now

* Sun Sep 08 2013 pinoc <vogtpet at gmail.com> 2.1.2-1pclos2013
- 2.1.2
- 32/64

* Tue Oct 02 2012 Neal <nealbrks0 at gmail dot com> 2.0.1-1pclos2012
- process

* Mon Oct 01 2012 gseaman <galen.seaman at comcast.net> 2.0.1-1gseaman2012
- update 2.0.1

* Sun Sep 26 2010 Texstar <texstar at gmail.com> 1.0.1-1pclos2010
- 1.0.1

* Sun Feb 28 2010 slick50 <lxgator@gmail.com> 0.9.2-pclos2010
- 0.9.2
